Package org.kapott.hbci.sepa.jaxb.pain_001_002_02

# Class StructuredRemittanceInformationSCT

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_002_02.StructuredRemittanceInformationSCT

public class StructuredRemittanceInformationSCT extends Object

Java class for StructuredRemittanceInformationSCT complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StructuredRemittanceInformationSCT">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdtrRefInf" type="{urn:swift:xsd:$pain.001.002.02}CreditorReferenceInformationSCT" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CreditorReferenceInformationSCT`
`cdtrRefInf`

## Constructor Summary

Constructors
Constructor
Description
`StructuredRemittanceInformationSCT()`

## Method Summary

Modifier and Type
Method
Description
`CreditorReferenceInformationSCT`
`getCdtrRefInf()`
Gets the value of the cdtrRefInf property.
`void`
`setCdtrRefInf(CreditorReferenceInformationSCT value)`
Sets the value of the cdtrRefInf property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cdtrRefInf

protected CreditorReferenceInformationSCT cdtrRefInf

## Constructor Details

### StructuredRemittanceInformationSCT

public StructuredRemittanceInformationSCT()

## Method Details

### getCdtrRefInf

public CreditorReferenceInformationSCT getCdtrRefInf()
Gets the value of the cdtrRefInf property.

Returns:
  possible object is `CreditorReferenceInformationSCT`

### setCdtrRefInf

public void setCdtrRefInf(CreditorReferenceInformationSCT value)
Sets the value of the cdtrRefInf property.

Parameters:
  `value` - allowed object is `CreditorReferenceInformationSCT`